/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import * as core from "@fluidframework/server-services-core";
import type { IRedisClientConnectionManager } from "@fluidframework/server-services-utils";
/**
 * @internal
 */
export declare class SocketIoRedisTopic implements core.ITopic {
    private readonly topic;
    constructor(topic: any);
    emit(event: string, ...args: any[]): void;
}
/**
 * @internal
 */
export declare class SocketIoRedisPublisher implements core.IPublisher {
    private readonly redisClientConnectionManager;
    private readonly io;
    private readonly events;
    constructor(redisClientConnectionManager: IRedisClientConnectionManager);
    on(event: string, listener: (...args: any[]) => void): void;
    to(topic: string): core.ITopic;
    emit(topic: string, event: string, ...args: any[]): Promise<void>;
    close(): Promise<void>;
}
//# sourceMappingURL=socketIoRedisPublisher.d.ts.map